curl --request PATCH \
--url https://api.nocotax.app/organizations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_address": {
"recipient": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>"
},
"business_registration_number": "<string>",
"contact_information": {
"email": "jsmith@example.com"
},
"name": "<string>",
"roles": [],
"tax_identification_number": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.nocotax.app/organizations/{id}"
payload = {
"billing_address": {
"recipient": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>"
},
"business_registration_number": "<string>",
"contact_information": { "email": "jsmith@example.com" },
"name": "<string>",
"roles": [],
"tax_identification_number": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_address: {
recipient: '<string>',
line1: '<string>',
line2: '<string>',
city: '<string>',
postal_code: '<string>',
state: '<string>',
country: '<string>'
},
business_registration_number: '<string>',
contact_information: {email: 'jsmith@example.com'},
name: '<string>',
roles: [],
tax_identification_number: '<string>',
timezone: '<string>'
})
};
fetch('https://api.nocotax.app/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'billing_address' => [
'recipient' => '<string>',
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'postal_code' => '<string>',
'state' => '<string>',
'country' => '<string>'
],
'business_registration_number' => '<string>',
'contact_information' => [
'email' => 'jsmith@example.com'
],
'name' => '<string>',
'roles' => [
],
'tax_identification_number' => '<string>',
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{id}"
payload := strings.NewReader("{\n \"billing_address\": {\n \"recipient\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"business_registration_number\": \"<string>\",\n \"contact_information\": {\n \"email\": \"jsmith@example.com\"\n },\n \"name\": \"<string>\",\n \"roles\": [],\n \"tax_identification_number\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.nocotax.app/organizations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"billing_address\": {\n \"recipient\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"business_registration_number\": \"<string>\",\n \"contact_information\": {\n \"email\": \"jsmith@example.com\"\n },\n \"name\": \"<string>\",\n \"roles\": [],\n \"tax_identification_number\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billing_address\": {\n \"recipient\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"business_registration_number\": \"<string>\",\n \"contact_information\": {\n \"email\": \"jsmith@example.com\"\n },\n \"name\": \"<string>\",\n \"roles\": [],\n \"tax_identification_number\": \"<string>\",\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "org_1792060777aj26a308a4a3",
"livemode": false,
"object": "organization",
"billing_address": {
"city": "Vadaborough",
"line1": "76439 Elsa Neck",
"line2": "Apt. 792",
"country": "UG",
"postal_code": "92503-0334"
},
"business_registration_number": "54037658900805",
"contact_information": {},
"is_professional": true,
"name": "Monchu SARL",
"ownership": "self",
"roles": null,
"timezone": "Etc/UTC",
"tax_identification_number": "532371366",
"created_at": "2026-10-15T10:39:37.492Z",
"updated_at": "2026-10-15T10:39:38.521Z"
}Update an organization
Updates the specified organization by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts mostly the same arguments as the organization creation call.
curl --request PATCH \
--url https://api.nocotax.app/organizations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_address": {
"recipient": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>"
},
"business_registration_number": "<string>",
"contact_information": {
"email": "jsmith@example.com"
},
"name": "<string>",
"roles": [],
"tax_identification_number": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.nocotax.app/organizations/{id}"
payload = {
"billing_address": {
"recipient": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>"
},
"business_registration_number": "<string>",
"contact_information": { "email": "jsmith@example.com" },
"name": "<string>",
"roles": [],
"tax_identification_number": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_address: {
recipient: '<string>',
line1: '<string>',
line2: '<string>',
city: '<string>',
postal_code: '<string>',
state: '<string>',
country: '<string>'
},
business_registration_number: '<string>',
contact_information: {email: 'jsmith@example.com'},
name: '<string>',
roles: [],
tax_identification_number: '<string>',
timezone: '<string>'
})
};
fetch('https://api.nocotax.app/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'billing_address' => [
'recipient' => '<string>',
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'postal_code' => '<string>',
'state' => '<string>',
'country' => '<string>'
],
'business_registration_number' => '<string>',
'contact_information' => [
'email' => 'jsmith@example.com'
],
'name' => '<string>',
'roles' => [
],
'tax_identification_number' => '<string>',
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{id}"
payload := strings.NewReader("{\n \"billing_address\": {\n \"recipient\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"business_registration_number\": \"<string>\",\n \"contact_information\": {\n \"email\": \"jsmith@example.com\"\n },\n \"name\": \"<string>\",\n \"roles\": [],\n \"tax_identification_number\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.nocotax.app/organizations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"billing_address\": {\n \"recipient\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"business_registration_number\": \"<string>\",\n \"contact_information\": {\n \"email\": \"jsmith@example.com\"\n },\n \"name\": \"<string>\",\n \"roles\": [],\n \"tax_identification_number\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billing_address\": {\n \"recipient\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"business_registration_number\": \"<string>\",\n \"contact_information\": {\n \"email\": \"jsmith@example.com\"\n },\n \"name\": \"<string>\",\n \"roles\": [],\n \"tax_identification_number\": \"<string>\",\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "org_1792060777aj26a308a4a3",
"livemode": false,
"object": "organization",
"billing_address": {
"city": "Vadaborough",
"line1": "76439 Elsa Neck",
"line2": "Apt. 792",
"country": "UG",
"postal_code": "92503-0334"
},
"business_registration_number": "54037658900805",
"contact_information": {},
"is_professional": true,
"name": "Monchu SARL",
"ownership": "self",
"roles": null,
"timezone": "Etc/UTC",
"tax_identification_number": "532371366",
"created_at": "2026-10-15T10:39:37.492Z",
"updated_at": "2026-10-15T10:39:38.521Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
id
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A set of capabilities defining how the organization interacts with the Account. Set to BUYER if you sell products or services to this entity. Set to MERCHANT if it represents a supplier, or a platform 3rd party agent, selling to customers.
BUYER, MERCHANT Response
successful
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the organization is a business entity belonging to the account owner, or a 3rd party, doing business with the account entities (supplier, 3rd party merchant or customer)
self: This organization corresponds to a business entity belonging to the current account's owner. For instance, its company or a subsidiary.
external: This organization corresponds to a business entity having business with the current account's owner. It could be given roles such as MERCHANT or BUYER. See roles for more details.
self, external Only valid when ownership=external. A set of capabilities defining how the organization interacts with the Account. Set to BUYER if you sell products or services to this entity. Set to MERCHANT if it represents a supplier, or a platform 3rd party agent, selling to customers.
BUYER, MERCHANT 